<?php 
require_once "global.php";

global $conexion;
$conexion=new mysqli(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME);

mysqli_query($conexion, 'SET NAMES "'.DB_ENCODE.'"');

//muestra posible error en la conexion
if (mysqli_connect_errno()) {
	printf("Falló en la conexion con la base de datos: %s\n",mysqli_connect_error());
	exit();
}

if (!function_exists('ejecutarConsulta')) {
	Function ejecutarConsulta($sql){ 
		global $conexion1;
		$conexion1=new mysqli(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME);
		mysqli_query($conexion1, 'SET NAMES "'.DB_ENCODE.'"');
		$query=$conexion1->query($sql);
		return $query;
	}

	function ejecutarConsultaSimpleFila($sql){
		global $conexion1;
		$conexion1=new mysqli(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME);
		mysqli_query($conexion1, 'SET NAMES "'.DB_ENCODE.'"');
		$query=$conexion1->query($sql);
		$row=$query->fetch_assoc();
		return $row;
	}

	function ejecutarConsultaSimpleFila2($sql){
		global $conexion1;
		$conexion1=new mysqli(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME);
		mysqli_query($conexion1, 'SET NAMES "'.DB_ENCODE.'"');
		$query=$conexion1->query($sql);
		$row  = $query->fetch_all(MYSQLI_ASSOC);
		return $row;
	}

	function ejecutarConsulta_retornarID($sql){
		global $conexion1;
		$conexion1=new mysqli(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME);
		mysqli_query($conexion1, 'SET NAMES "'.DB_ENCODE.'"');
		$query=$conexion1->query($sql);
		return $conexion1->insert_id;
	}

	function ejecutarConsultaSimpleFilaParametros($sql,$codigobarra){
		global $conexion1;
		$conexion1=new mysqli(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME);
		mysqli_query($conexion1, 'SET NAMES "'.DB_ENCODE.'"');
		
		$query = $conexion1->prepare($sql);
		/* Asignamos el parámetro al valor enviado por POST */
		$query->bindValue(':codigobarra',$codigobarra,PDO::PARAM_STR);
		/* Ejecutamos la consulta */
		$query->execute();
		/* Devolvemos el registro obtenido como respuesta en JSON */
		$row=$query->fetch_assoc();
		return $row;
	}

	function limpiarCadena($str){
		global $conexion1;
		$conexion1=new mysqli(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME);
		mysqli_query($conexion1, 'SET NAMES "'.DB_ENCODE.'"');
		$str=mysqli_real_escape_string($conexion1,trim($str));
		return htmlspecialchars($str);
	}
}

 ?>